#ifndef MLX5_BACKPORT_COMPAT_H
#define MLX5_BACKPORT_COMPAT_H

#include <net/flow_offload.h>
#include <net/xdp_sock.h>


/*
 * A stub for xsk_umem_adjust_offset; since only unaligned mode is supported
 * in RHEL 8.2; the code is somewhat simplified.
 */
static inline u64 xsk_umem_adjust_offset(struct xdp_umem *umem, u64 address,
                                         u64 offset)
{
        return address + offset;
}


#define DEVLINK_PORT_FLAVOUR_VIRTUAL DEVLINK_PORT_FLAVOUR_PHYSICAL


#define TC_SETUP_FT 14


static inline bool
flow_action_basic_hw_stats_types_check(const struct flow_action *action,
                                       struct netlink_ext_ack *extack)
{
	return true;
}


#define NUM_FLOW_ACTIONS (FLOW_ACTION_MPLS_MANGLE + 1)

#endif
